#
# spec file for package ghc-conduit-combinators
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name conduit-combinators
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.1.0
Release:        1.11
Summary:        Commonly used conduit functions, for both chunked and unchunked data
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base16-bytestring-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-chunked-data-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-mono-traversable-devel
BuildRequires:  ghc-mwc-random-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-void-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-silently-devel
%endif

%description
Provides a replacement for Data.Conduit.List, as well as a convenient Conduit
module.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md README.md

%changelog
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.1.0 with cabal2obs.
* Sun Dec  4 2016 psimons@suse.com
- Update to version 1.0.8.3 with cabal2obs.
* Tue Nov 22 2016 psimons@suse.com
- Update to version 1.0.8.2 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 1.0.8.1 with cabal2obs.
* Sat Oct  1 2016 psimons@suse.com
- Update to version 1.0.8 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 1.0.7 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.0.6 revision 0 with cabal2obs.
* Sun Jul 10 2016 mimi.vx@gmail.com
- update to version 1.0.4 revision 0
* Thu Feb 11 2016 mimi.vx@gmail.com
- update to 1.0.3.1
* Tue Nov 17 2015 mimi.vx@gmail.com
- initial commit
